Skip to main content
Weavr API
Managed accounts

Get an account statement (legacy)

deprecatedGET/deprecated/managed_accounts/{id}/statement

Legacy version of Get an account statement. See the Release 113 changelog for what changed and how to migrate.

Returns a statement for the managed account identified by the id path parameter — a settled view of posted transactions matching the criteria provided in the request.

Request

Available on
SandboxProduction

Path parameters

Header parameters

Query parameters

Responses

200OK

Success

Headers
Body
{}
StatementStatement · object · 6 fields
Response example
{  "entry": [    {      "transactionId": {        "type": "TRANSFER",        "id": "2468013579"      },      "entryState": "PENDING",      "originalAmount": {        "currency": "GBP",        "amount": 1250      },      "forexRate": {        "value": 1250,        "scale": 2      },      "transactionAmount": {        "currency": "GBP",        "amount": 1250      },      "availableBalanceAdjustment": {        "currency": "GBP",        "amount": 1250      },      "actualBalanceAdjustment": {        "currency": "GBP",        "amount": 1250      },      "balanceAfter": {        "currency": "GBP",        "amount": 1250      },      "availableBalanceAfter": {        "currency": "GBP",        "amount": 1250      },      "actualBalanceAfter": {        "currency": "GBP",        "amount": 1250      },      "transactionFee": {        "currency": "GBP",        "amount": 1250      },      "cardholderFee": {        "currency": "GBP",        "amount": 1250      },      "processedTimestamp": 1786118401250,      "sourceAmount": {        "currency": "GBP",        "amount": 1250      },      "userCurrencyTransactionDetails": {        "userTransactionAmount": {          "currency": "GBP",          "amount": 1250        },        "userExchangeRate": "1.1750"      },      "additionalFields": {}    }  ],  "count": 42,  "responseCount": 10,  "startBalance": {    "currency": "GBP",    "amount": 1250  },  "endBalance": {    "currency": "GBP",    "amount": 1250  },  "footer": "Statement generated for information purposes only."}